TESTING/LIN/sptt01.f(3)

NAME
TESTING/LIN/sptt01.f

SYNOPSIS

  Functions/Subroutines
subroutine sptt01 (n, d, e, df, ef, work, resid)
SPTT01

Function/Subroutine Documentation

  subroutine sptt01 (integer n, real, dimension( * ) d, real, dimension( * ) e, real, dimension( * ) df, real, dimension( * ) ef, real, dimension( * ) work, real resid)

SPTT01

Purpose:

    !>
    !> SPTT01 reconstructs a tridiagonal matrix A from its L*D*L'
    !> factorization and computes the residual
    !>    norm(L*D*L' - A) / ( n * norm(A) * EPS ),
    !> where EPS is the machine epsilon.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The order of the matrix A.
    !>

    D

    !>          D is REAL array, dimension (N)
    !>          The n diagonal elements of the tridiagonal matrix A.
    !>

    E

    !>          E is REAL array, dimension (N-1)
    !>          The (n-1) subdiagonal elements of the tridiagonal matrix A.
    !>

    DF

    !>          DF is REAL array, dimension (N)
    !>          The n diagonal elements of the factor L from the L*D*L'
    !>          factorization of A.
    !>

    EF

    !>          EF is REAL array, dimension (N-1)
    !>          The (n-1) subdiagonal elements of the factor L from the
    !>          L*D*L' factorization of A.
    !>

    WORK

    !>          WORK is REAL array, dimension (2*N)
    !>

    RESID

    !>          RESID is REAL
    !>          norm(L*D*L' - A) / (n * norm(A) * EPS)
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file sptt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.